<html>

	<head>
	
		<script charset="UTF-8" type="text/javascript" src="../../WebRoot/aotracodeSRC/util/utilsaotracode.js"></script>
		
	
		<script charset="UTF-8" type="text/javascript">
		
		
		
		
		// Examples :
		var addPoints2DCoordinates=test(
			// Tests definition
			{
				// Tested function/method name :
				name:"addPoints2DCoordinates"
				
				// Dummies :
				,dummies:function(){
					var result=new Object();
					
					result.pDummy1=new Object();
					result.pDummy1.x=20;
					result.pDummy1.y=10;

					result.pDummy2=new Object();
					result.pDummy2.x=60;
					result.pDummy2.y=40;
					
					return result;
				}
			
				// Normal scenarii :
				,scenarioNormal1:[ [{dummy:"pDummy1"},{dummy:"pDummy2"}], function(result){ return result.x===80 && result.y===50; }	]
				,scenarioNormal2:[ [{dummy:"pDummy1"},{dummy:"pDummy2"}], {asserts:"success"} ]

				// Anormal scenarii :
				,scenarioParameter1IsNull:[ [null,{dummy:"pDummy2"}], {asserts:"fail"} ]	
				,scenarioParameter2IsNull:[ [{dummy:"pDummy1"},null], {asserts:"fail"} ]
				
			 }
			
			// Function definition
			,function(p1,p2){
				var result=new Object();
				
				test.assert(p1===null,"fail");
				test.assert(p2===null,"fail");
				
				result.x=p1.x+p2.x;
				result.y=p1.y+p2.y;
				
				return result;
			}
			
		);
		
		// (Function can share the same dummies because dummies are global)
		
		var invertPoints2DCoordinates=test(
			// Tests definition
			{
				// Tested function/method name :
				name:"invertPoints2DCoordinates"
				
				// Dummies :
				,dummies:null
			
				// Normal scenarii :
				,scenarioNormal1:[ [{dummy:"pDummy1"}], function(result){ return result.x===-20 && result.y===-10; }	]
				,scenarioNormal2:[ [{dummy:"pDummy2"}], function(result){ return result.x===-60 && result.y===-40; }	]
				,scenarioNormal3:[ [{dummy:"pDummy1"}], {asserts:"success"} ]

				// Anormal scenarii :
				,scenarioParameterIsNull:[ [null], {asserts:"fail"} ]
				
			 }
			
			// Function definition
			,function(p1){
				var result=new Object();
				
				test.assert(p1===null,"fail");
				
				result.x=-p1.x;
				result.y=-p1.y;
				
				return result;
			}
			
		);
		
		test.run();
		
		
		</script>
	</head>

	<body>

	</body>
</html>